org.optaplanner.core.config.constructionheuristic.decider.forager

## Enum ConstructionHeuristicPickEarlyType

- java.lang.Object
- - java.lang.Enum<ConstructionHeuristicPickEarlyType>
  - - org.optaplanner.core.config.constructionheuristic.decider.forager.ConstructionHeuristicPickEarlyType

- All Implemented Interfaces:
    Serializable, Comparable<ConstructionHeuristicPickEarlyType>

      public enum ConstructionHeuristicPickEarlyType
      extends Enum<ConstructionHeuristicPickEarlyType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIRST_FEASIBLE_SCORE`
    `FIRST_FEASIBLE_SCORE_OR_NON_DETERIORATING_HARD`
    `FIRST_NON_DETERIORATING_SCORE`
    `NEVER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstructionHeuristicPickEarlyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstructionHeuristicPickEarlyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final ConstructionHeuristicPickEarlyType NEVER

    - #### FIRST_NON_DETERIORATING_SCORE

          public static final ConstructionHeuristicPickEarlyType FIRST_NON_DETERIORATING_SCORE

    - #### FIRST_FEASIBLE_SCORE

          public static final ConstructionHeuristicPickEarlyType FIRST_FEASIBLE_SCORE

    - #### FIRST_FEASIBLE_SCORE_OR_NON_DETERIORATING_HARD

          public static final ConstructionHeuristicPickEarlyType FIRST_FEASIBLE_SCORE_OR_NON_DETERIORATING_HARD

  - ### Method Detail

    - #### values

          public static ConstructionHeuristicPickEarlyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstructionHeuristicPickEarlyType c : ConstructionHeuristicPickEarlyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstructionHeuristicPickEarlyType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.